#include <wham_all.h>
#include <whaminit.h>
extern int cfg_color_depth;


void wham_finalinit(char *datafilename = NULL)
{
    if (cfg_color_depth ==8) 
        BorderWin::RemapPalette = TRUE; 
    else 
        BorderWin::RemapPalette = FALSE;
    Window::Scroll_Behaviour = WINDOW_SCROLL_SHIFT;
    if (datafilename)
        BorderWin::DatafileName = datafilename;
    else
        BorderWin::DatafileName = "#";
    
    Pager::Border_Color = makecol(255,0,0);
    Pager::Passive_Color = makecol(0,0,200);
    Pager::Active_Color = makecol(0,0,255);
    Pager::Pager_Color = makecol (0,200,0);
    Pager::Background_Color =makecol(0,0,0);
    Pager::Background_Color_Screen = makecol(100,0,0);


    BorderWin::UpperBorderBitmap = NULL;
    BorderWin::LowerBorderBitmap = NULL;
    BorderWin::RightBorderBitmap = NULL;
    BorderWin::LeftBorderBitmap = NULL;
    BorderWin::UpperLeftCorner = NULL;
    BorderWin::UpperLeftCorner = NULL;
    BorderWin::UpperLeftCorner = NULL;
    BorderWin::UpperLeftCorner = NULL;
    BillWin::BorderSize = 2;
    BillWin::Bar_Color = makecol(255,0,0);
    BillWin::Border_Color = makecol(140,140,140);
    BillWin::Text_Color = makecol(0,0,0);
    ScrollBar::Black_Color = gui_fg_color = OClock::Bg_Color = BillWin::Black_Color = makecol(0,0,0);
    ScrollBar::Dark_Color = gui_mg_color = BillWin::Dark_Color = Panel::Dark_Outline_Color = makecol(100,100,100);
    ScrollBar::Middle_Color = gui_bg_color = BillWin::Middle_Color = Panel::Background_Color  = makecol(140,140,140);
    ScrollBar::Light_Color = BillWin::Light_Color = Panel::Light_Outline_Color = makecol(180,180,180);
    ScrollBar::White_Color = OClock::Fg_Color =BillWin::White_Color = makecol(255,255,255);

    FrameWin::Border_Color = makecol(255,0,0);
    FrameWin::Title_Color = makecol(0,0,0);
    FrameWin::Outline_Color = makecol(0,0,100);

    AlGuiContainer::Border_Color = makecol(255,0,0);
    AlGuiContainer::Title_Color = makecol(0,0,0);

}

void init()
{
    wham_init_from_config("demo.ini");
    wham_finalinit();
}
