#include <stdio.h>
#include "window.h"


int main()
{
    allegro_init(); // initialise Allegro
    
    install_keyboard(); // install Allegro keyboard handler (to use readkey(), so I don't need getch())
    printf("The simplest possible WHAM program:\n"
           " -it opens one window, and displayes some text in it\n");

    
    if(set_gfx_mode(GFX_SAFE,320,200,0,0))
       fatal("could not set 320x200x8 video mode\n");  // set graphics mode
    set_palette(desktop_palette);       // set palette

    WinSystem::BackgroundColor= makecol(100,100,100);
    
    Window *the_window = new Window("example",200,100,60,50);     // create a window
    clear_to_color(the_window->bmp(), makecol(255,255,255));// clear the window
    text_mode(-1);
    textout_centre(the_window->bmp(),font,"Hello, World",100,50,makecol(255,0,0)); // draw something to the window
    the_window->show();                                 // show the window on the screen

    readkey();                                          // wait for a keypress
    delete WHAM;                                        // cleanup wham
    return 0;
}
END_OF_MAIN();
