#include <stdio.h>
#include "whamwin.h"



int main()
{
    int x,y;
    allegro_init(); // initialise Allegro
    install_timer();
    install_keyboard(); // install Allegro keyboard handle (to use readkey(), so I don't need getch())
    install_mouse();


    printf("let's add a simple border\n"
           "and user control to the window of ex1\n");

    if (set_gfx_mode(GFX_SAFE,320,200,0,0))
       fatal("could not set 320x200x8 graphics mode\n");
    
    set_palette(desktop_palette);       // set palette
    show_mouse(screen);
    // initialise WinSystem before opening the first window
    WinSystem::BackgroundColor= makecol(100,100,100);

    WhamWin *the_window = new WhamWin(200,100,60,50,"Hello World");     // create a window
    clear_to_color(the_window->bmp(), makecol(255,255,255));                           // clear the window
    text_mode(-1);
    textout_centre(the_window->bmp(),font,"Hello, World",100,50,makecol(255,0,0)); // draw something to the window
    the_window->show();                                 // show the window on the screen
    // wait for a keypress while letting WhamWin deal with the mouse
    while (!keypressed())
    {
        Wham_Secretary.process_mouse(&x,&y);
    }
    delete WHAM;                                        // cleanup wham
    return 0;
}
END_OF_MAIN();
