#include <stdio.h>
#include <secretar.h>
#include <bordered.h>


int main()
{
    allegro_init(); // initialise Allegro
    install_timer();
    
    install_keyboard(); // install Allegro keyboard handle (to use readkey(), so I don't need getch())

    allegro_message("lets try the load_screen_saver( ) function\n"
           "press a key...\n");


    install_mouse(); 
    set_gfx_mode(GFX_SAFE,320,200,0,0);  // set graphics mode
    show_mouse(screen);  // turn on mouse cursor
    set_palette(desktop_palette);

 // initialise WinSystem
    WinSystem::Buffered = TRUE; 
    WinSystem::ShadowStyle = WHAM_NO_SHADOW; 
    WinSystem::ShadowSize = 10; 
    WinSystem::ShadowColor = 100; 
    BorderWin::DatafileName = "../borders/green.dat";
    BorderWin::RemapPalette = TRUE;


    BorderWin *the_window = new BorderWin(280,100,20,50,"test");
    clear_to_color(the_window->bmp(),makecol(255,255,255));
    
    the_window->show();
    the_window->printf("try to load ../whs/test.whs\n");
    the_window->update();
    if (Wham_Secretary.load_screen_saver("../whs/test.whs",3))
    {
        the_window->printf("loading unsuccessful.\n"
                           "try to rebuild test.whs\n" 
                           "(see readme.txt in whs dir)"
                           );
        the_window->update();

    }
    else
    {
        the_window->printf("loading successful\n"
                           "wait 3 seconds to test the\n" 
                           "screensaver.\n"
                            );
        the_window->update();
    }

    // wait for a keypress while letting WhamWin deal with the mouse
    while (!keypressed())
    {
        Wham_Secretary.process_mouse();
    }
    delete WHAM;                                        // cleanup wham
    return 0;
}
END_OF_MAIN();
