#include <stdio.h>
#include "whamwin.h"


int main()
{
    int x,y;
    allegro_init(); // initialise Allegro
    install_timer();     
    install_keyboard(); // install Allegro keyboard handle (to use readkey(), so I don't need getch())

    printf("add some shadow\n");



    install_mouse();
    if(set_gfx_mode(GFX_SAFE,320,200,0,0))
       fatal("could not set 320x200x8 video mode\n");  // set graphics mode
    show_mouse(screen);  // turn on mouse cursor
    set_palette(desktop_palette);       // set palette
    
    
    WinSystem::BackgroundColor= makecol(100,100,100);
    
                    // initialise WinSystem
    WinSystem::Buffered = TRUE; 
    WinSystem::ShadowStyle = WHAM_SLOW_SHADOW; 

    WhamWin *the_window = new WhamWin(200,100,60,50,"Hello World");     // create a window
    WhamWin *the_other_window = new WhamWin(200,100,70,60,"Oh Hello");     // create a window

    clear_to_color(the_window->bmp(), makecol(255,255,255));                           // clear the window
    clear_to_color(the_other_window->bmp(), makecol(255,255,255));// clear the window
    text_mode(-1);
    textout_centre(the_window->bmp(),font,"Hello, World",100,50, makecol(255,0,0)); // draw something to the window
    textout_centre(the_other_window->bmp(),font,"Oh, Hello, WHAM",100,50,makecol(0,255,0)); // draw something to the window
    the_window->show();                                 // show the window on the screen
    the_other_window->show();                                 // show the window on the screen
    
    // wait for a keypress while letting WhamWin deal with the mouse
    while (!key[KEY_ESC])
    {
        Wham_Secretary.process_mouse(&x,&y);
    }
    delete WHAM;                                        // cleanup wham
    return 0;
}
END_OF_MAIN();
