#include <stdio.h>
#include "bordered.h"


int main()
{
    int x,y;
    allegro_init(); // initialise Allegro
    install_timer();     
    install_keyboard(); // install Allegro keyboard handle (to use readkey(), so I don't need getch())

    allegro_message("this window is larger than it's viewport\n"
           "you can move the viewport around the window by\n"
           "dragging it with the right mous button\n"
           "press a key...\n");


    install_mouse(); 
    if(set_gfx_mode(GFX_AUTODETECT,320,200,0,0))
       fatal("could not set 320x200x8 video mode\n");  // set graphics mode
    show_mouse(screen);  // turn on mouse cursor

    RGB *c = new RGB;
    for (int r=0;r<6;r++)    
    for (int g=0;g<6;g++)
    for (int b=0;b<6;b++)
    {
        c->r = r*10;
        c->g = g*10;
        c->b = b*10;
        set_color(r + 6 * g +36 * b,c);
    }

 // initialise WinSystem
    WinSystem::Buffered = TRUE; 
    WinSystem::BackgroundColor= makecol(100,100,100);


    BorderWin::DatafileName = "../borders/whamdat.dat";
    BorderWin::RemapPalette = TRUE;
    BorderWin *the_window = new BorderWin(200,100,60,50,"Hello World");     // create a window
    BorderWin::Move_Style = BORDERWIN_CLEAR;        

    clear_to_color(the_window->bmp(), makecol(255,255,255));                           // clear the window
    text_mode(-1);
    textout_centre(the_window->bmp(),font,"Hello World",100,25,makecol(255,0,0)); // draw something to the window
    textout_centre(the_window->bmp(),font,"Hello WHAM",100,75,makecol(255,0,0)); // draw something to the window
    the_window->resize_viewport(100,50);
    the_window->show();                                 // show the window on the screen
    
    // wait for a keypress while letting WhamWin deal with the mouse
    while (!keypressed())
    {
        Wham_Secretary.process_mouse(&x,&y);
    }
    delete WHAM;                                        // cleanup wham
    return 0;
}
END_OF_MAIN();
