/****************************************************************************
 * WHAM windowing system for Allegro & DJGPP                                *
 * Copyright 1997 Martijn Versteegh                                         *
 * WHAM is swapware                                                         *
 * that means if you use it you must send me something in return            *
 * If you use WHAM in a commercial product, 'something' should preferrable  *
 * be money. A program you made, a postcard or something like that will do  *
 * in most other cases.                                                     *
 *  for contact info see contact.txt in the docs directory.                 *
 *                                                                          *
 *  Disclaimer:                                                             *
 *      I am not responsible for any effect this software may have on you,  *
 *      your properties or anything else connected to you.                  *
 *      Use it at your own risk.                                            *
 ****************************************************************************/
#ifndef _oclock_h_
#define _oclock_h_

#include <wobject.h>

class OClock : public Wobject
{

  public:
      friend Wobject *OClock_process_mouse(int *x = NULL, int *y = NULL);

      // ADD CONSTRUCTORS & DESTRUCTORS IF NEEDED
      OClock(int size,int pos_x,int pos_y);

      Wobject *process_mouse(int *x = NULL,int *y = NULL);
      static int Fg_Color,Bg_Color;
      static int updater(void *cl);
  private:
        // overload inquire_mouse function
      int inquire_mouse(int x, int y);
      void draw(BITMAP *onto,int from_x, int from_y, int to_x, int to_y);


      static int _ident; // identification integer
};


#endif
