#ifndef _S_TASKBAR_H_
#define _S_TASKBAR_H_
#include <alguicon.h>


#define MSG_UPDATE_LISTS  -1 // negative, custom message (don't forget to document)

class S_TaskBar:  public AlGuiContainer
{

   public:
      S_TaskBar();
      ~S_TaskBar();
      int process_message(Wobject *from, int msg);
      void add_obj(Wobject *obj);
      void delete_obj(Wobject * obj);
      Wobject *process_mouse(int *x, int *y);
      void get_coordinates_of_button(Wobject const *obj, int *x, int *y, int *w, int *h) const;

      void shift_in();
      void shift_out();

      int do_shift;
      int location;
      int shift_slowness;// 1<=shift_slowness<=100
   private:
      int nr;
      int maxnr;
      Wobject **objects;
      void update_lists();
      void freshen();
		Wobject **objects_to_add;
      int nr_to_add;
      int maxnr_to_add;
		Wobject **objects_to_del;
      int nr_to_del;
      int maxnr_to_del;
      
};


#endif
