/****************************************************************************
 * WHAM windowing system for Allegro & DJGPP                                *
 * Copyright 1997 Martijn Versteegh                                         *
 * WHAM is swapware                                                         *
 * that means if you use it you must send me something in return            *
 * If you use WHAM in a commercial product, 'something' should preferrable  *
 * be money. A program you made, a postcard or something like that will do  *
 * in most other cases.
 * I can be reached at                                                      *
 *  m.versteegh@cpedu.rug.nl                                                *
 *    or , if the above is expired                                          *
 *  vsteegh@dds.nl (my parents)                                             *
 *                                                                          *
 *  postbox 1443 9701BK Groningen, The Netherlands.                         *
 *                                                                          *
 *  Disclaimer:                                                             *
 *      I am not responsible for any effect this software may have on you,  *
 *      your properties or anything else connected to you.                  *
 *      Use it at your own risk.                                            *
 ****************************************************************************/

#ifndef _s_window_h_
#define _s_window_h_
#include <window.h>
#include "s_border.h"




class S_Window:  public Window, public S_Borderclass
{
    public:
        // constructor
        S_Window(char *title, int size_x,int size_y,int pos_x = 5,int pos_y = 16);
        S_Window(int size_x,int size_y,int pos_x  = 5,int pos_y = 5); // makes a frame without title
        S_Window(char *title,BITMAP *bmp, int pos_x = 5,int pos_y = 16);
        S_Window(BITMAP *bmp,int pos_x  = 5,int pos_y = 5); // makes a frame without title
        ~S_Window();



        // process input / messages
        Wobject *process_mouse(int *out_x = NULL, int *out_y = NULL);
    private:
        void create();

};


#endif
