
  
#include <stdio.h>
#include "demo.h"


BorderWin *BorEx;
FrameWin *FrameEx;
BillWin *BillEx;
AlGuiContainer *TheGuide;
Wobject *root;
TextWindow *Messages;
OClock *clockw;
Panel *panel;
WhamWin *whamwin;
Pager *pager;

DIALOG *guide_dialog;
// dialog functions, 
// take own actions on MSG_CLICK and pass the rest to standard dialog 
// procedures

#define makecol64(r,g,b)  makecol(r*256/64,g*256/64,b*256/64)

int d_BorEx_proc(int msg,DIALOG *d,int c)
{
    // first call standard, it is nessecary to call this *first* because 
    // the own actions can take too long, so the mouse button will proobably 
    // be released already when they're finished, and than the standard 
    // functions don't work correct
    int ret = d_button_proc(msg,d,c);
    if (msg == MSG_CLICK || msg == MSG_KEY)
    {
        if (d->flags & D_SELECTED) 
        {
            BorEx->raise();
            BorEx->show();
            BorEx->move(10,10);
        }
        else
            BorEx->hide();
    }
    return ret;
}


int d_ClockEx_proc(int msg,DIALOG *d,int c)
{
    int ret = d_button_proc(msg,d,c);
    if (msg == MSG_CLICK || msg == MSG_KEY)
    {
        if (d->flags & D_SELECTED) 
        {
            clockw->raise();
            clockw->show();
            clockw->move(10,10);
        }
        else
            clockw->hide();
    }
    return ret;
}

int d_WhamEx_proc(int msg,DIALOG *d,int c)
{
    int ret = d_button_proc(msg,d,c);
    if (msg == MSG_CLICK || msg == MSG_KEY)
    {
        if (d->flags & D_SELECTED) 
        {
            whamwin->raise();
            whamwin->show();
            whamwin->move(10,10);
        }
        else
            whamwin->hide();
    }
    return ret;
}


int d_PagerEx_proc(int msg,DIALOG *d,int c)
{
    int ret = d_button_proc(msg,d,c);
    if (msg == MSG_CLICK || msg == MSG_KEY)
    {
        if (d->flags & D_SELECTED) 
        {
            pager->raise();
            pager->show();
        }
        else
            pager->hide();
    }
    return ret;
}


int d_PanelEx_proc(int msg,DIALOG *d,int c)
{
    int ret = d_button_proc(msg,d,c);
    if (msg == MSG_CLICK || msg == MSG_KEY)
    {
        if (d->flags & D_SELECTED) 
        {
            panel->raise();
            panel->show();
            panel->move(10,10);
        }
        else
            panel->hide();
    }
    return ret;
}




int d_TextEx_proc(int msg,DIALOG *d,int c)
{
    int ret = d_button_proc(msg,d,c);
    if (msg == MSG_CLICK || msg == MSG_KEY)
    {
        if (d->flags & D_SELECTED) 
        {
            Messages->raise();
            Messages->show();
            Messages->move(10,10);
        }
        else
            Messages->hide();
    }
    return ret;
}



int d_RootEx_proc(int msg,DIALOG *d,int c)
{
    int ret = d_button_proc(msg,d,c);
    if (msg == MSG_CLICK || msg == MSG_KEY)
    {
        if (d->flags & D_SELECTED) 
        {
            root->show();
        }
        else
            root->hide();
    }
    return ret;
}


int d_Block_proc(int msg,DIALOG *d,int c)
{
    int ret = d_check_proc(msg,d,c);
    if (msg == MSG_CLICK)
    {
        BorEx->set_lock(d->flags & D_SELECTED);
    }

    return ret;
}

int d_Bslock_proc(int msg,DIALOG *d,int c)
{
    int ret = d_check_proc(msg,d,c);
    if (msg == MSG_CLICK)
    {
        BorEx->set_lock_scale(d->flags & D_SELECTED);
    }
    return ret;
}

int d_Bplock_proc(int msg,DIALOG *d,int c)
{
    int ret = d_check_proc(msg,d,c);
    if (msg == MSG_CLICK)
    {
        BorEx->set_lock_position(d->flags & D_SELECTED);
    }
    return ret;
}


int d_Bmovestyle_proc(int msg,DIALOG *d,int c)
{
    int ret = d_check_proc(msg,d,c);
    if (msg == MSG_CLICK)
    {
        if(d->flags & D_SELECTED)
            BorderWin::Move_Style = BORDERWIN_OPAQUE;
        else
            BorderWin::Move_Style = BORDERWIN_CLEAR;
    }
    return ret;
}



int d_BillEx_proc(int msg,DIALOG *d,int c)
{
    int ret = d_button_proc(msg,d,c);
    if (msg == MSG_CLICK || msg == MSG_KEY)
    {
        if (d->flags & D_SELECTED) 
        {
            BillEx->raise();
            BillEx->show();
            BillEx->move(10,10);
        }
        else
            BillEx->hide();
    }
    return ret;
}

int d_Flock_proc(int msg,DIALOG *d,int c)
{
    int ret = d_check_proc(msg,d,c);
    if (msg == MSG_CLICK)
    {
        BillEx->set_lock(d->flags & D_SELECTED);
    }

    return ret;
}

int d_Wlock_proc(int msg,DIALOG *d,int c)
{
    int ret = d_check_proc(msg,d,c);
    if (msg == MSG_CLICK)
    {
        FrameEx->set_lock(d->flags & D_SELECTED);
    }

    return ret;
}


int d_FrameEx_proc(int msg,DIALOG *d,int c)
{
    int ret = d_button_proc(msg,d,c);
    if (msg == MSG_CLICK || msg == MSG_KEY)
    {
        if (d->flags & D_SELECTED) 
        {
            FrameEx->raise();
            FrameEx->show();
            FrameEx->move(10,10);
        }
        else
            FrameEx->hide();
    }
    return ret;
}

int d_Graise_proc(int msg,DIALOG *d,int c)
{
    int ret = d_check_proc(msg,d,c);
    if (msg == MSG_CLICK)
    {
        if (d->flags & D_SELECTED) 
            whamgui_raise_style = RAISE_CLICK;
        else
            whamgui_raise_style = RAISE_IMMEDIATE;
    }
    return ret;
}

int d_screenshot_proc(int msg,DIALOG *d,int c)
{
    int ret = d_button_proc(msg,d,c);

    if (msg == MSG_CLICK)
    {
        PALETTE p;
        get_palette(p);
        BITMAP *s=create_sub_bitmap(screen,0,0,SCREEN_W,SCREEN_H);
        save_pcx("whamshot.pcx",screen,p);
        destroy_bitmap(s);
        d->flags &= ~D_SELECTED;
        ret = SEND_MESSAGE(d,MSG_DRAW,c);


    }
    return ret;
}




int my_message_processor(Wobject *from, int message)
{
    if (from != Messages)  // to prevent endles recursion
    {
        if (from)
        {
            Messages->printf("Window '%s' to All: %s\n",from->get_geoinfo()->name,message_string(message));
  //          Messages->update();
        }
        else
        {
            Messages->printf("Someone to All: %s\n",message_string(message));
  //          Messages->update();
        }

    }
    
    if (message== W_MSG_HIDDEN && from == (Wobject *)BillEx)
    {
        guide_dialog[23].flags &= ~D_SELECTED;
        SEND_MESSAGE(&(guide_dialog[23]),MSG_DRAW,0);
        TheGuide->update();
    }
    return FALSE;
}


void setup_the_windows()
{

    whamgui_raise_style = RAISE_IMMEDIATE;
    BorderWin::Move_Style = BORDERWIN_CLEAR;
    Window::Text_Color = makecol64(63,0,0);
    TextWindow::Border_Color = makecol(255,255,0);
    TextWindow::Title_Color = makecol(255,0,0);
    
    
    PALETTE p;
    BITMAP *backgnd = load_pcx("backgnd.pcx",p);
    if (backgnd)
    {
        if (cfg_color_depth == 8) remap_bitmap(backgnd,p);
        root = new Background(backgnd,get_config_int("WinSystem","Background_Mode",0));
    }
    else
    {
        root = new Window("root",400,40,0,0);
        textout_centre(root->bmp(),font,"backgnd.pcx not found, no background image",200,16,makecol(255,0,0));
    }
    Messages = new TextWindow(60,20,70,70,"Message Window"); 
    Messages->set_colors(makecol (255,255,255),-1);
    Wobject *commercial = new Panel(400,200,SCREEN_W/2-200,SCREEN_H/2-100,"commercial");
    commercial->raise_and_lock();
    text_mode(-1);
    textout_centre(commercial->bmp(),font, WHAM->get_version(),201,51,makecol(0,0,0));
    textout_centre(commercial->bmp(),font, WHAM->get_version(),200,50,makecol(255,255,255));
    textout_centre(commercial->bmp(),font, allegro_id,201,151,makecol(0,0,0));
    textout_centre(commercial->bmp(),font, allegro_id,200,150,makecol(255,255,255));
    commercial->show();
    root->show();
    Messages->show();
    WHAM->set_user_msg_processor(my_message_processor);
    clockw = new OClock(45,50,50);
    clockw->show();

    Window::Allocate_From_VRAM = TRUE;
	 BorEx = new BorderWin(600,200,10,10,"BorderWin");
    FrameEx = new FrameWin(600,200,40,40,"FrameWin"); 
    BillEx = new BillWin(600,200,70,70,"BillWin"); 
    whamwin = new WhamWin(600,200,40,40,"WhamWin"); 
    pager = new Pager(-200,-200, WHAM->get_TheScreen_size_x() + 200, WHAM->get_TheScreen_size_y() + 200,20);
    panel = new Panel(200,200,40,40,"Panel"); 
    for (int i=300;i>0;i--)
    {
        circlefill(panel->bmp(),100,100,i,makecol ((int)(i/1.5),(int)(i/1.5),(int)(i/1.5)));
    }
    text_mode(-1);
    textout_centre(panel->bmp(),font,"Panel",100,100,makecol(255,255,255));

    ScrollBar *s;
     s = new ScrollBar(BillEx,TYPE_VERTICAL_SCROLLBAR);
     s = new ScrollBar(BillEx,TYPE_HORIZONTAL_SCROLLBAR);
    TheGuide = new AlGuiContainer(600,300,20,20,"Wham library Demo",guide_dialog);
    text_mode(0);
    BorEx->printf(  "\nBorderWin. This class uses bitmaps for its borders, this is the most\n" 
                    "developed class in the system,some of it's features are:\n"
                    "-rescalable,movable,resizable window\n"
                    "-resizable movable viewport\n"
                    "-user area which can be set, to define the part that can be drawn on.\n"
                    "-system boxes, which call a callback function when clicked (none present\n" 
                    " in this window).\n"
                    "-systemboxes can be added from the main program.\n"
                    );

   text_mode(0);
   whamwin->printf("\nWhamWin. This is a quite simple class. It fakes borders by drawing them\n"
                "   inside the window and shrinking the user area so you cant draw over them\n"
                "   it doesn't work good with viewports, but it can be a good basis for types\n"
                "   of windows that don't need rescaling.\n\n"
            );


    FrameEx->printf("\nFrameWin. This is the same as a BorderWin, but without the bitmapped\n"
                "borders.\n"
                "GuiContainer(window with the buttons). This Window can contain an\n" 
                "   Allegro-like dialog, different from allegro is that you can have multiple\n"
                "   dialogs open\n at the same time\n\n"
                "TextWin (the window with the scrolling messages).\n"
                "   Another very simple window type"
            );
    BillEx->printf(
                "BillWin.\n "
                "Another example of a window style."
                );
    Wham_Secretary.set_key_catching(TRUE);
//    Wham_Secretary.load_screen_saver(get_config_string(NULL,"ScreenSaver","fade.whs"),30);
    TheGuide->start();
    TheGuide->show();
    rest(3000);
    delete commercial;
}


int main()
{

    init();

    static DIALOG g[] =
    {
       /* (dialog proc)         (x)     (y)     (w)   (h) (fg)  (bg)  (key) (flags)  (d1)  (d2)  (dp) */
       { d_clear_proc,      0,      0,      0,    0,  makecol64(0,0,0),  makecol64(35,35,35),    0,    0,       0,    0,    NULL },
       { d_box_proc,      10,    10,    180,  160,  TRUE,  makecol64(35,35,35),    0,    0,       0,    0,    NULL },
       { d_box_proc,     210,    10,    180,  160,  TRUE,  makecol64(35,35,35),    0,    0,       0,    0,    NULL },
       { d_box_proc,     410,    10,    180,  160,  TRUE,  makecol64(35,35,35),    0,    0,       0,    0,    NULL },
       { d_box_proc,     410,   180,    180,  110,  TRUE,  makecol64(35,35,35),    0,    0,       0,    0,    NULL },
       { d_box_proc,      10,   180,    380,  110,  TRUE,  makecol64(35,35,35),    0,    0,       0,    0,    NULL },
       { d_text_proc ,      20,    20,    140,   10,  makecol64(0,0,0),  makecol64(35,35,35),    0,    0,       0,    0, const_cast<char *>("BorderWin")},
       { d_BorEx_proc     ,      20,    40,    140,   20,  makecol(0,0,0),  makecol64(35,35,35),  'b',    0,       0,    0, const_cast<char *>("&BorderWin")},
       { d_text_proc ,     150,   185,    140,   10,  makecol64(0,0,0),  makecol64(35,35,35),    0,    0,       0,    0, const_cast<char *>("Various examples")},
       { d_ClockEx_proc   ,      20,   200,    100,   20,  makecol(0,0,0),  makecol64(35,35,35),  'c',    D_SELECTED,       0,    0, const_cast<char *>("&Clock")},
       { d_TextEx_proc    ,      20,   230,    100,   20,  makecol(0,0,0),  makecol64(35,35,35),  't',    D_SELECTED,       0,    0, const_cast<char *>("&TextWindow")},
       { d_RootEx_proc    ,      20,   260,    100,   20,  makecol(0,0,0),  makecol64(35,35,35),  'r',    D_SELECTED,       0,    0, const_cast<char *>("&rootwindow")},
       { d_WhamEx_proc    ,     130,   200,    100,   20,  makecol(0,0,0),  makecol64(35,35,35),  'r',      0,       0,    0, const_cast<char *>("WhamWindow")},
       { d_PagerEx_proc   ,     130,   230,    100,   20,  makecol(0,0,0),  makecol64(35,35,35),  'r',      0,       0,    0, const_cast<char *>("Pager")},
       { d_PanelEx_proc   ,     130,   260,    100,   20,  makecol(0,0,0),  makecol64(35,35,35),  'r',      0,       0,    0, const_cast<char *>("Panel")},
       { d_Block_proc     ,      20,    80,    140,   10,  makecol64(0,0,0),  makecol64(35,35,35),    0,    0,       0,    0, const_cast<char *>("Lock") },
       { d_Bslock_proc    ,      20,   100,    140,   10,  makecol64(0,0,0),  makecol64(35,35,35),    0,    0,       0,    0, const_cast<char *>("Lock Size") },
       { d_Bplock_proc    ,      20,   120,    140,   10,  makecol64(0,0,0),  makecol64(35,35,35),    0,    0,       0,    0, const_cast<char *>("Lock Position") },
       { d_Bmovestyle_proc,      20,   140,    140,   10,  makecol64(0,0,0),  makecol64(35,35,35),    0,    0,       0,    0, const_cast<char *>("Opaque Move") },
       { d_text_proc ,     220,    20,    140,   10,  makecol64(0,0,0),  makecol64(35,35,35),    0,    0,       0,    0, const_cast<char *>("FrameWin")},
       { d_FrameEx_proc    ,     220,    40,     80,   20,  makecol64(0,0,0),  makecol64(35,35,35),  'f',   0,       0,    0, const_cast<char *>("&FrameWin")},
       { d_Wlock_proc     ,     220,    80,     80,   10,  makecol64(0,0,0),  makecol64(35,35,35),    0,    0,       0,    0, const_cast<char *>("Lock") },
       { d_text_proc ,     420,    20,    140,   10,  makecol64(0,0,0),  makecol64(35,35,35),    0,    0,       0,    0, const_cast<char *>("BillWin")},
       { d_BillEx_proc    ,     420,    40,     80,   20,  makecol64(0,0,0),  makecol64(35,35,35),  'b',    0,       0,    0, const_cast<char *>("&BillWin")},
       { d_Flock_proc     ,     420,    80,     80,   10,  makecol64(0,0,0),  makecol64(35,35,35),    0,    0,       0,    0, const_cast<char *>("Lock") },
       { d_text_proc ,     420,   190,    140,   10,  makecol64(0,0,0),  makecol64(35,35,35),    0,    0,       0,    0, const_cast<char *>("GuiContainer")},
       { d_Graise_proc    ,     420,   210,    140,   10,  makecol64(0,0,0),  makecol64(35,35,35),    0,    0,       0,    0, const_cast<char *>("Click to Raise") },
       { d_screenshot_proc,     420,   230,    150,   20,  makecol64(0,0,0),  makecol64(35,35,35),  's',    0,       0,    0, const_cast<char *>("&Save screenshot")},
       { d_button_proc,  420,   260,     80,   20,  makecol64(0,0,0),  makecol64(35,35,35),  'q',D_EXIT,       0,    0, const_cast<char *>("&Quit")},
       { 0,                       0,     0,      0,    0,    0,    0,    0,    0,       0,    0,    NULL}                             
    };
    guide_dialog = g;


    setup_the_windows();
    WHAM->claim_keyboard(TheGuide);
    
    while(TheGuide->is_running())
    {
        Wham_Secretary.process_mouse();
    }

    BorEx->hide();
    FrameEx->hide();
    BillEx->hide();
    Messages->hide();
    clockw->hide();
    whamwin->hide();
    panel->hide();
    pager->hide();

    fade_out(4);

    delete WHAM;
    WHAM= NULL;
    allegro_exit();
    return 0;
}
END_OF_MAIN();
