

#include <stdlib.h>
#include <stdio.h>

#include "alguicon.h"




/* for the d_edit_proc() object */
char the_string[32] = "Change Me!";






/* callback function to specify the contents of the listbox */
char *listbox_getter(int index, int *list_size)
{
   static char *strings[] =
   {
	  "Zero",  "One",   "Two",   "Three", "Four",  "Five", 
	  "Six",   "Seven", "Eight", "Nine",  "Ten"
   };

   if (index < 0) {
	  *list_size = 11;
	  return NULL;
   }
   else
	  return strings[index]; 
}



DIALOG the_dialog[] =
{
   /* (dialog proc)     (x)   (y)   (w)   (h)   (fg)  (bg)  (key) (flags)  (d1)  (d2)  (dp) */
   {d_clear_proc,      0,    0,    192,  172,  255,  0,    0,    0,       0,    0,    NULL },
   {d_edit_proc,       80,   32,   512,  48,   255,  0,    0,    0,       16,   0,    the_string },
   {d_button_proc,     80,   132,  160,  48,   255,  0,    't',  0,       0,    0,    const_cast<char *>("&Toggle Me") },
   {d_list_proc,       360,  100,  206,  206,  255,  0,    0,    0,       0,    0,    (void *)listbox_getter },
   {d_button_proc,     80,   400,  160,  48,   255,  0,    0,    D_EXIT,  0,    0,    const_cast<char *>("OK") },
   {d_button_proc,     360,  400,  160,  48,   255,  0,    0,    D_EXIT,  0,    0,    const_cast<char *>("Cancel") },
   { NULL,              0,    0,    0,    0,    0,    0,    0,    0,       0,    0,    NULL }
};


/* index of the listbox object in the dialog array */
#define LISTBOX_OBJECT     3



int main()
{
   char buf1[80], buf2[80], buf3[80];

   /* initialise everything */
   allegro_init();
   install_keyboard(); 
   install_mouse();
   install_timer();

   allegro_message("This examples demonstrates how to use the ALlegro GUI in WHAM.\n"
		  "press any key...");

   if(set_gfx_mode(GFX_SAFE, 640, 480, 0, 0))
      fatal("unable to set 640x480 graphics mode");
      
	show_mouse(screen);
   set_pallete(desktop_pallete);

   //init WHAM
	WinSystem::Buffered = TRUE; 
	WinSystem::ShadowStyle = WHAM_NO_SHADOW; 
   WinSystem::BackgroundColor = makecol(100,100,100);

   set_dialog_color(the_dialog,makecol(0,0,0), makecol(255,255,255));

	AlGuiContainer *the_window = new AlGuiContainer(610,450,15,15,"Hello Gui", the_dialog);     // create a window

   the_window->start();
	the_window->show();

   while(the_window->is_running())
   	Wham_Secretary.process_mouse();

   the_window->hide();
   /* and report the results */
   sprintf(buf2, "string is '%s'", the_string);
   sprintf(buf3, "listbox selection is %d", the_dialog[LISTBOX_OBJECT].d1);
   alert(buf1, buf2, buf3, "OK", NULL, 0, 0);
   delete WHAM;                                        // cleanup wham
   return 0;

   
}
END_OF_MAIN();
