#include <stdio.h>
#include "bordered.h"
#include "billwin.h"


int main()
{
    int x,y;
    allegro_init(); // initialise Allegro
    install_timer();     
    install_keyboard(); // install Allegro keyboard handle (to use readkey(), so I don't need getch())

    allegro_message("lets try billwins\n");


    install_mouse(); 
    if(set_gfx_mode(GFX_SAFE,800,600,0,0))
       fatal("unable to set 800x600x8 graphics mode\n");
    show_mouse(screen);  // turn on mouse cursor

    RGB *c = new RGB;
    for (int r=0;r<6;r++)    
    for (int g=0;g<6;g++)
    for (int b=0;b<6;b++)
    {
        c->r = r*10;
        c->g = g*10;
        c->b = b*10;
        set_color(r + 6 * g +36 * b,c);
    }

 // initialise WinSystem
    WinSystem::Buffered = FALSE;
    WinSystem::BackgroundColor = makecol(55,55,255);
    BillWin::Text_Color = makecol(0,0,0);
    BillWin::Bar_Color = makecol(255,0,0);
    BillWin::Black_Color = makecol(0,0,0);
    BillWin::Dark_Color = makecol(50,50,50);
    BillWin::Middle_Color = makecol(100,110,110);
    BillWin::Light_Color = makecol(210,210,210);
    BillWin::White_Color = makecol(255,255,255);
    BillWin::Border_Color = makecol(100,0,0);

//    BITMAP *icon = create_bitmap(10,10);

    BillWin *the_window = new BillWin(200,100,160,150,"test",BILLWIN_STYLE_RESCALE);     // create a window
    BillWin *the_other_window = new BillWin(600,300,40,50,"test",BILLWIN_STYLE_RESCALE);     // create a window
//    the_window->set_icon(icon);


    the_window->show();                                 // show the window on the screen
    the_other_window->show();                                 // show the window on the screen
    // wait for a keypress while letting WhamWin deal with the mouse
    while (!key[KEY_ESC])
    {
        Wham_Secretary.process_mouse(&x,&y);
    }
    delete WHAM;                                        // cleanup wham
    return 0;
}
END_OF_MAIN();
