#include <stdio.h>
#include "wham_all.h"


int main()
{
    int x,y;
    allegro_init(); // initialise Allegro
    install_timer();     
    install_keyboard(); // install Allegro keyboard handle (to use readkey(), so I don't need getch())

    printf("lets try a window in a window\n");


    install_mouse(); 
    if(set_gfx_mode(GFX_SAFE,320,200,0,0))
       fatal("could not set video mode\n");  // set graphics mode
    show_mouse(screen);  // turn on mouse cursor

    RGB *c = new RGB;
    
    for (int r=0;r<6;r++)    
    for (int g=0;g<6;g++)
    for (int b=0;b<6;b++)
    {
        c->r = r*10;
        c->g = g*10;
        c->b = b*10;
        set_color(r + 6 * g +36 * b,c);
    }

 // initialise WinSystem
    WinSystem::Buffered = TRUE; 
//    WinSystem::UseBoxes = TRUE;

    BorderWin::DatafileName = "../borders/granite.dat";
    BorderWin::RemapPalette = TRUE;
    BorderWin *the_window = new BorderWin(200,100,60,50,"Hello World");     // create a window
    WinSystem *child_manager = new WinSystem(the_window); // create another manager


    BorderWin *the_other_window = new BorderWin(200,100,70,60,"Oh Hello",child_manager);     // create a window

    clear_to_color(the_other_window->bmp(), makecol(255,255,255));                           // clear the window
    text_mode(-1);
    textout_centre(the_other_window->bmp(),font,"Oh, Hello, WHAM",100,50,makecol(255,0,0)); // draw something to the window
    the_window->show();                                 // show the window on the screen
    the_other_window->show();                                 // show the window on the screen
    
    // wait for a keypress while letting WhamWin deal with the mouse
    while (!key[KEY_ESC]) // keypressed doesn't work too well because secretary eats up the keypresses
    {
        Wham_Secretary.process_mouse(&x,&y);
    }
    delete WHAM;                                        // cleanup wham
    return 0;
}
END_OF_MAIN();
