#ifndef _S_BORDER_H_
#define _S_BORDER_H_

#include "wobject.h"
#include "scrolbar.h"
#define S_BORDERCLASS_OPAQUE 1
#define S_BORDERCLASS_CLEAR  2
#define S_WHAM_MAGIC 473140 // my birthday backwards ;)

#define S_BORDERCLASS_NORMAL_MODE 1
#define S_BORDERCLASS_SYSTEM_MODE 2


class S_Borderclass
{
	public:
   	S_Borderclass(Wobject *th_object);
   	~S_Borderclass();
      
        // statics that can be set anytime
        static int Move_Style;
        static int Border_Color;
        static int Title_Color;


        static int Outline_Color1;
        static int Outline_Color2;

        // process input / messages
        Wobject *process_mouse(int *out_x = NULL, int *out_y = NULL);
       void maximise();
       void minimise();
       void roll();
       void add_close_button(int (*exit_callback)(Wobject *w, void *param), void *param);
       static int draw_border(BITMAP *onto,Wobject *the_object,int from_x,int from_y,int to_x,int to_y);
       static int draw_frame(BITMAP *onto,Wobject *the_object,int from_x,int from_y,int to_x,int to_y);
       static int draw_box(BITMAP *onto,Wobject *the_object,int from_x,int from_y,int to_x,int to_y);

   protected:
   	 Wobject *the_obj;
 		 ScrollBar *ver,*hor;
       int roll_state;
       int y_size_before_roll;
       int x_size_before_roll;
       int minimum_x_size;
};



#endif
