/****************************************************************************
 * WHAM windowing system for Allegro & DJGPP                                *
 * Copyright 1997 Martijn Versteegh                                         *
 * WHAM is swapware                                                         *
 * that means if you use it you must send me something in return            *
 * If you use WHAM in a commercial product, 'something' should preferrable  *
 * be money. A program you made, a postcard or something like that will do  *
 * in most other cases.
 * I can be reached at                                                      *
 *  m.versteegh@cpedu.rug.nl                                                *
 *    or , if the above is expired                                          *
 *  vsteegh@dds.nl (my parents)                                             *
 *                                                                          *
 *  postbox 1443 9701BK Groningen, The Netherlands.                         *
 *                                                                          *
 *  Disclaimer:                                                             *
 *      I am not responsible for any effect this software may have on you,  *
 *      your properties or anything else connected to you.                  *
 *      Use it at your own risk.                                            *
 ****************************************************************************/

#ifndef _s_dialog_h_
#define _s_dialog_h_
#include <alguicon.h>
#include "s_border.h"




class S_Dialog:  public AlGuiContainer, public S_Borderclass
{
    public:
        // constructor
        S_Dialog(char *title, DIALOG *dialog,int size_x,int size_y,int pos_x = 5,int pos_y = 16);
        S_Dialog(char *title, DIALOG *dialog,int size_x,int size_y,int pos_x,int pos_y,  int syspriority);
        ~S_Dialog();



        // process input / messages
        Wobject *process_mouse(int *out_x = NULL, int *out_y = NULL);
    private:
        void create();

};


#endif
