/****************************************************************************
 * WHAM windowing system for Allegro & DJGPP                                *
 * Copyright 1997 Martijn Versteegh                                         *
 * WHAM is swapware                                                         *
 * that means if you use it you must send me something in return            *
 * If you use WHAM in a commercial product, 'something' should preferrable  *
 * be money. A program you made, a postcard or something like that will do  *
 * in most other cases.                                                     *
 *  for contact info see contact.txt in the docs directory.                 *
 *                                                                          *
 *  Disclaimer:                                                             *
 *      I am not responsible for any effect this software may have on you,  *
 *      your properties or anything else connected to you.                  *
 *      Use it at your own risk.                                            *
 ****************************************************************************/
#ifndef _Wham_separatr_h_
#define _Wham_separatr_h_

#include <helpers.h>
#include <wobject.h>

class Top_Bottom_Separator : public Wobject
{

  public:

      // ADD CONSTRUCTORS & DESTRUCTORS IF NEEDED
      Top_Bottom_Separator(WinSystem * manager);

      // this function handles the mouse for this class
      Wobject *process_mouse(int *x = NULL, int *y = NULL);
      int inquire_mouse(int,int);
  private:

      void draw(BITMAP *onto,int from_x, int from_y, int to_x, int to_y);

      //IF BORDERS ARE NOT NEEDED REMOVE LINE BELOW, AND CHANGE CONSTRUCTOR
      static int draw_border(BITMAP *onto, Wobject *the_object,int from_x, int from_y, int to_x, int to_y);

};

#endif // end of headerfile
