/****************************************************************************
 * WHAM windowing system for Allegro & DJGPP                                *
 * Copyright 1997 Martijn Versteegh                                         *
 * WHAM is swapware                                                         *
 * that means if you use it you must send me something in return            *
 * If you use WHAM in a commercial product, 'something' should preferrable  *
 * be money. A program you made, a postcard or something like that will do  *
 * in most other cases.                                                     *
 *  for contact info see contact.txt in the docs directory.                 *
 *                                                                          *
 *  Disclaimer:                                                             *
 *      I am not responsible for any effect this software may have on you,  *
 *      your properties or anything else connected to you.                  *
 *      Use it at your own risk.                                            *
 ****************************************************************************/
#ifndef _STACK_H_
#define _STACK_H_

#include "topinc.h"

class Stack
{
	public:
   	Stack(int initial_size = 50);
      ~Stack();

      void push(void *data);
      void *pop();
      void remove(void *data); // kill one element inside the stack
      int get_size(); // returns number of elements still on stack
   private:
   	int stacksize;
      int initial_size;
   	int nr_of_elements;
   	void **the_data;
};

#endif






