/****************************************************************************
 * WHAM windowing system for Allegro & DJGPP                                *
 * Copyright 1997 Martijn Versteegh                                         *
 * WHAM is swapware                                                         *
 * that means if you use it you must send me something in return            *
 * If you use WHAM in a commercial product, 'something' should preferrable  *
 * be money. A program you made, a postcard or something like that will do  *
 * in most other cases.                                                     *
 *  for contact info see contact.txt in the docs directory.                 *
 *                                                                          *
 *  Disclaimer:                                                             *
 *      I am not responsible for any effect this software may have on you,  *
 *      your properties or anything else connected to you.                  *
 *      Use it at your own risk.                                            *
 ****************************************************************************/
#include "separatr.h"
Top_Bottom_Separator::Top_Bottom_Separator(WinSystem *manager)
      : Wobject("separator", 10,10,-100,-100, manager)
{
}

void Top_Bottom_Separator::draw(BITMAP *onto, int f_x, int f_y,int t_x, int t_y)
{
	onto=NULL;
   f_x=t_x=f_y=t_y = 0;
}


Wobject *Top_Bottom_Separator::process_mouse(int *x_out , int *y_out )
{
   x_out = y_out = NULL;
	return NULL;
}


int Top_Bottom_Separator::inquire_mouse(int x, int y)      // asks the object if the give mouse coordinates(relative to the window) are part of the window
{
	x = y = 0;

   return FALSE;
}
